mui.init({
	gestureConfig: {
		longtap: true
	},
	pullRefresh: {
		container: '#refreshContainer',
		down: {
//						auto: true,
			callback: pulldownRefresh
			
		}
	}
});
var page = {};
mui.plusReady(function(){
	page = mui.preload({
		url: "show.html",
		id: "show"
	});
	
	mui("#popover").on("tap", "#add", function(){
		hide_pop();
		plus.webview.getLaunchWebview().evalJS("document.querySelector('.mui-backdrop').classList.add('mui-hidden');");
		plus.webview.getLaunchWebview().evalJS("open_add();");
	})
	mui("#popover").on("tap", "#about", function(){
		hide_pop();
		plus.webview.getLaunchWebview().evalJS("document.querySelector('.mui-backdrop').classList.add('mui-hidden');");
		plus.webview.getLaunchWebview().evalJS("open_about();");
	})
	mui("#popover").on("tap", "#share", function(){
		hide_pop();
		plus.webview.getLaunchWebview().evalJS("document.querySelector('.mui-backdrop').classList.add('mui-hidden');");
		plus.webview.getLaunchWebview().evalJS("share();");
	})
});
mui(".mui-grid-9").on("longtap", ".mui-table-view-cell", function(){
	var this_name = this.querySelector("div").innerText;
	var _this = this;
    var btnArray = [{title:"编辑"},{title:"删除", style: "destructive"}];
	plus.nativeUI.actionSheet( {
		title:"操作",
		cancel:"取消",
		buttons:btnArray
	}, function(e){
		var index = e.index;
		var text = "";
		switch (index){
			case 0:
				text += "取消";
				break;
			case 1:
				plus.webview.getLaunchWebview().evalJS("account_edit('"+this_name+"')"); //编辑"
				break;
			case 2:
				_this.remove();
				account_delete(this_name); //删除
				
				break;
		}
//					info.innerHTML = text+"\"按钮";
	} );
});
mui(".mui-grid-9").on("tap", ".mui-table-view-cell", function(){


	mui.openWindow({
		url: "show.html",
		id: "show"
	});
	page_info = {name: this.querySelector("div").innerText};
	page_info = JSON.stringify(page_info);
	page.evalJS("update_account("+page_info+");");
	
});

			
			
//			alert(11);
setTimeout(function(){
	get_account_list();
}, 300);
	
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		get_account_list();
		mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
	}, 1500);
}
		

/**
 * 获取账号列表
 */
function get_account_list(){
	
	if(typeof(plus) == "undefined"){
		var storage = localStorage;
	}else{
		var storage = plus.storage;
	}
	var account = storage.getItem("account");

	document.querySelector(".mui-grid-9").innerHTML = "";
	
	if(account && JSON.parse(account).length > 0){
	
		document.querySelector(".no-content").classList.add("mui-hidden");
		account = JSON.parse(account);
		var icon_class = {
			"服务器": "icon-fuwuqianquan",
			"ssh": "icon-fuwuqianquan",
			"宽带": "icon-kuandai",
			"银行卡": "icon-yinxingqia",
			"普通": "icon-account"
		}
		for(i in account){
			var htmls = '<a href="#">\
	                    	<span class="atypefont '+icon_class[account[i].type]+'"></span>\
	                 		<div class="mui-media-body">'+account[i].name+'</div>\
	                 	 </a>';
		    var nc = document.createElement("li");
		    nc.className = "mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3";
		    nc.innerHTML = htmls;
		    
		    document.querySelector(".mui-grid-9").appendChild(nc);
		}
	}else{
		document.querySelector(".no-content").classList.remove("mui-hidden");
	}
}
		
/**
 * 删除账号
 * @param {string} this_account_name 要删除的账号名称
 */
function account_delete(this_account_name){
	var storage = plus.storage;
	var account = storage.getItem("account");
	var new_account = [];
	account = JSON.parse(account);
	
	for(i in account){
		if(this_account_name != account[i].name){
			new_account.push(account[i]);
			
		}
	}
	
	new_account = JSON.stringify(new_account);
	
	storage.setItem("account", new_account);
}
function show_pop(){
	mui("#popover").popover("show", document.getElementById("tmp"));
}
function hide_pop(){
	mui("#popover").popover("hide", document.getElementById("tmp"));
}

mui("body").on("tap", ".mui-backdrop", function(){
	plus.webview.getLaunchWebview().evalJS("document.querySelector('.mui-backdrop').classList.add('mui-hidden');");
});

//show_pop();
